TIMEOUT(1)

NAAM
timeout - voer een commando uit onder een tijdslimiet

SAMENVATTING
timeout [OPTIE] DUUR COMMAND= [ARGUMENT]...
timeout [OPTIE]

BESCHRIJVING

Start het gegeven COMMANDO, en beëindigt het als het na DUUR nog actief is.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-f, --foreground

    het COMMANDO toestaan van de terminal te lezen en signalen ervan te ontvangen; in deze modus worden kind processen van het COMMANDO niet door DUUR begrensd

-k, --kill-after=DUUR

    ook een KILL-signaal verzenden als COMMANDO nog steeds actief is nadat het initiële signaal werd verzonden

-p, --preserve-status

     eindigen met dezelfde afsluitwaarde als COMMANDO, ook als het commando de tijdsduur overschreden heeft

-s, --signal=SIGNAAL

    specificeer het te verzenden signaal bij tijd overschrijding; SIGNAAL kan een naam zijn zoals 'HUP' of een getal; zie 'kill -l` voor een lijst van mogelijke signalen

-v, --verbose
    stuur elk signaal tot aan timeout naar stderr

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

DUUR is een drijvende-komma getal met een optioneel achtervoegsel: 's' voor seconden (standaard), 'm' voor minuten, 'h' voor uren, 'd' voor dagen.

Als de tijdslimiet verstreken is, stuur dan het TERM signaal naar COMMANDO, als er geen ander SIGNAAL werd opgegeven. Het TERM signaal beëindigt elk proces dat dat signaal niet blokkeert of vangt. Is het nodig zijn om het KILL signaal te gebruiken, omdat dit signaal niet gevangen kan worden.

  De afsluitwaarde is:

124 als COMMANDO verstrijkt, en --preserve-status werd niet gespecificeerd

125 als het timeout commando zelf faalt

126 als COMMANDO werd gevonden maar niet kan worden aangeroepen

127 Als COMMANDO niet werd gevonden

137 als aan COMMANDO (of de timeout zelf) het KILL (9) signaal (128+9) werd verstuurd

-   de beëindigings status van COMMANDO anders

BUGS
Een aantal platformen ondersteunen geen timeouts na het jaar 2038.

AUTEUR
Geschreven door Padraig Brady.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
kill(1)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/timeout>
of lokaal via: info '(coreutils) timeout invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.